Package pygccxml :: Package declarations :: Module matchers :: Class operator_matcher_t

# type operator_matcher_t

source code

           object --+
                    |
       matcher_base_t --+
                        |
    declaration_matcher_t --+
                            |
            calldef_matcher_t --+
                                |
                               operator_matcher_t

Instance of this class will match operators by next criteria:

- calldef_matcher_t criteria
- operator symbol: =, !=, (), [] and etc

Instance Methods

__init__(self, name=None, symbol=None, return_type=None, arg_types=None, decl_type=None, header_dir=None, header_file=None) | source code

__call__(self, decl) | source code

__str__(self) | source code

Inherited from `declaration_matcher_t`: `check_name`, `is_full_name` Inherited from `matcher_base_t`: `__and__`, `__invert__`, `__or__`

Properties
Inherited from `declaration_matcher_t`: `decl_name_only`, `name`

Method Details

### __init__(self, name=None, symbol=None, return_type=None, arg_types=None, decl_type=None, header_dir=None, header_file=None)
(Constructor)

source code

Parameters:
  - `symbol` (str) - operator symbol
Overrides: matcher_base_t.__init__

### __call__(self, decl)
(Call operator)

source code

Overrides: matcher_base_t.__call__

### __str__(self)
(Informal representation operator)

source code

Overrides: matcher_base_t.__str__